> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin room nước ngoài

> Lấy thông tin room nước ngoài và snapshot thị trường.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml get /tartarus/v1/tickerSnaps
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /tartarus/v1/tickerSnaps:
    get:
      tags:
        - market-data
      summary: Thông tin room nước ngoài
      description: Lấy thông tin room nước ngoài và snapshot thị trường.
      operationId: getTartarusTickerSnaps
      parameters:
        - name: index
          in: query
          required: false
          description: >-
            Rổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom,
            10 = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 =
            VNXAllshare, 15 = VN50, 16 = VNSI.
          schema:
            $ref: '#/components/schemas/MarketBasket'
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  tradingDate:
                    type: string
                    description: Ngày giao dịch.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                          description: Mã cổ phiếu.
                        ceilPrice:
                          type: string
                          format: double
                          description: Giá trần.
                        floorPrice:
                          type: string
                          format: double
                          description: Giá sàn.
                        refPrice:
                          type: string
                          format: double
                          description: Giá tham chiếu.
                        bidPrice01:
                          type: string
                          format: int64
                          description: Giá mua 1.
                        bidPrice02:
                          type: string
                          format: int64
                          description: Giá mua 2.
                        bidPrice03:
                          type: string
                          format: int64
                          description: Giá mua 3.
                        bidQtty01:
                          type: string
                          format: int64
                          description: KL mua 1.
                        bidQtty02:
                          type: string
                          format: int64
                          description: KL mua 2.
                        bidQtty03:
                          type: string
                          format: int64
                          description: KL mua 3.
                        offerPrice01:
                          type: string
                          format: int64
                          description: Giá bán 1.
                        offerPrice02:
                          type: string
                          format: int64
                          description: Giá bán 2.
                        offerPrice03:
                          type: string
                          format: int64
                          description: Giá bán 3.
                        offerQtty01:
                          type: string
                          format: int64
                          description: KL bán 1.
                        offerQtty02:
                          type: string
                          format: int64
                          description: KL bán 2.
                        offerQtty03:
                          type: string
                          format: int64
                          description: KL bán 3.
                        matchPrice:
                          type: string
                          format: double
                          description: Giá khớp.
                        matchQtty:
                          type: string
                          format: double
                          description: Khối lượng khớp.
                        change:
                          type: integer
                          format: int64
                          description: Thay đổi giá.
                        changePercent:
                          type: number
                          format: double
                          description: '% thay đổi.'
                        avg:
                          type: number
                          format: double
                          description: Giá bình quân.
                        high:
                          type: string
                          format: int64
                          description: Giá cao nhất.
                        low:
                          type: string
                          format: int64
                          description: Giá thấp nhất.
                        totalValue:
                          type: string
                          format: int64
                          description: Tổng giá trị.
                        totalVolume:
                          type: string
                          format: int64
                          description: Tổng khối lượng.
                        buyForeignQtty:
                          type: string
                          format: int64
                          description: KL nước ngoài mua.
                        sellForeignQtty:
                          type: string
                          format: int64
                          description: KL nước ngoài bán.
                        room:
                          type: string
                          format: int64
                          description: Room nước ngoài.
                        open:
                          type: string
                          format: int64
                          description: Giá mở cửa.
              example:
                tradingDate: 07/08/2025
                data:
                  - symbol: PLP
                    ceilPrice: '4550'
                    floorPrice: '3970'
                    refPrice: '4260'
                    bidPrice01: '4270'
                    bidPrice02: '4260'
                    bidPrice03: '4250'
                    bidQtty01: '200'
                    bidQtty02: '800'
                    bidQtty03: '900'
                    offerPrice01: '4350'
                    offerPrice02: '4380'
                    offerPrice03: '4390'
                    offerQtty01: '400'
                    offerQtty02: '400'
                    offerQtty03: '2900'
                    matchPrice: '4350'
                    matchQtty: '100'
                    change: 90
                    changePercent: 2.112676056338028
                    avg: 4300
                    high: '4390'
                    low: '4140'
                    totalValue: '128278000'
                    totalVolume: '29800'
                    sellForeignQtty: '14000'
                    room: '44759594'
                    open: '4350'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    MarketBasket:
      type: string
      description: >-
        Rổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 =
        Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare,
        15 = VN50, 16 = VNSI.
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '10'
        - '11'
        - '12'
        - '13'
        - '14'
        - '15'
        - '16'
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.